package com.mycompany.customvalve;

import java.io.IOException;
import java.util.Calendar;
import java.util.Random;
import javax.servlet.ServletException;
import org.apache.catalina.connector.Request;
import org.apache.catalina.connector.Response;
import org.apache.catalina.valves.ValveBase;

/**
 *
 * @author aretter
 */
public class CustomValve extends ValveBase {

    @Override
    public void invoke(Request request, Response response) throws IOException, ServletException {
        
        if(request.getRequest() != null) {
        
            //Is it tuesday?
            Calendar cal = Calendar.getInstance();

            if(cal.get(Calendar.DAY_OF_WEEK) == Calendar.TUESDAY) {

                //generate a random number between 0 and 99
                Random rnd = new Random();

                //is the magic number 42?
                if(rnd.nextInt(99) == 42) {
                    
                    
                    response.sendRedirect("winner.jsp");
                    
                    //or maybe just -
                    //request.setAttribute("winner", Boolean.TRUE);
                }
            }
        }
    }
}